# for the future
%define has_rhnlib 1

Summary: Panel applet for indication that newer Red Hat packages are available
License: GPL
Group: System Environment/Base
Source0: %{name}-%{version}.tar.gz
Patch0: centos4-rhn-applet.patch
Name: rhn-applet
URL: http://www.centos.org/
Version: 2.1.24
Release: 3.centos4
BuildRoot: %{_tmppath}/%{name}-root
Requires: python >= 2.2.1
BuildRequires: python-devel >= 2.2.1
Requires: rpm-python
%if %{has_rhnlib}
Requires: rhnlib >= 1.4
%else
Requires: python-xmlrpc >= 1.5.0
%endif
Requires: pygtk2-libglade
Requires: up2date-gnome >= 4.1.5
Requires: pygtk2 >= 1.99.12-6
BuildRequires:  pygtk2-devel >= 1.99.12-6
Requires: gnome-python2 >= 1.99.11-7
Requires: libgnomeui >= 2.0.3-1
BuildRequires: gettext
BuildRequires: gtk2-devel >= 2.2.0
BuildRequires: libgnomeui-devel >= 2.0.3-1
Requires: libgnome >= 2.0.2-5
Requires: gnome-python2-gtkhtml2

#%define _unpackaged_files_terminate_build 0

# should be provided by up2date or up2date-gnome, but just to be sure...
#Requires: /usr/share/rhn/CNS-CA-CERT

# for uuidgen, we need:
Requires: e2fsprogs

# for post section:
Requires: perl

%description
Panel applet for indication that newer CentOS packages are available.

%prep
%if %{?CNdevel:1}%{!?CNdevel:0} 
%setup -c -q
%else 
%setup -q 
%endif 

%patch0 -p1

%build
make

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT

%find_lang %{name}

%post
UUID=$(/usr/bin/uuidgen -t)
perl -p -i -e "s/UNSPECIFIED/$UUID/g" /etc/sysconfig/rhn/rhn-applet

%clean
rm -fr $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
/usr/bin/rhn-applet-gui
/usr/bin/rhn-applet-tui
/usr/share/rhn/rhn_applet/*.py
/usr/share/rhn/rhn_applet/*.pyc
/usr/share/rhn/rhn_applet/*.glade
/usr/share/rhn/rhn_applet/*.png
/usr/share/rhn/rhn_applet/*.so
/usr/share/pixmaps/*
/usr/share/applications/rhn-applet.desktop
%config(noreplace) /etc/sysconfig/rhn/rhn-applet
%doc doc/*

%changelog
* Tue Jan  3 2006 Johnny Hughes <johnny@centos.org> - 2.1.24-3.centos4
- rolled in all previous CentOS-4 changes to this version.

* Mon Nov 21 2005 Robin Norwood <rnorwood@redhat.com> - 2.1.24-1
- bugzilla: 172705 - Reduce frequency of checkins for nag polling.
  Also refactor so that the nag check occurs in the model.

* Mon Nov 21 2005 Adrian Likins <alikins@redhat.com> 2.1.23-4
- build a new version for kicks

* Sun Oct  9 2005 Johnny Hughes <johnny@centos.org> 2.1.22-4.centos4
- Rolled previous CentOS changes into this version.

* Mon Sep 19 2005 Adrian Likins <alikins@redhat.com> 2.1.22-4
- more updates for #160608 (ru.po)

* Mon Aug 15 2005 Adrian Likins <alikins@redhat.com> 2.1.20-4
- missing po files (rpmdiff error)

* Tue Aug 2 2005 Adrian Likins <alikins@redhat.com> 2.1.19-4
- fix #160608 (updated ru.po)

* Mon Jul 11 2005 Johnny Hughes <johnny@centos.org>
- Modified to remove trademark info and change glade colors

* Sun Mar 6 2005 Johnny Hughes <johnny@centos.org>
- Centos-4 Initial build with trademark removal

* Wed Nov 24 2004 Adrian Likins <alikins@redhat.com> 2.1.18-4
- fix #140754
- fix #140758

* Tue Nov 9 2004 Adrian Likins <alikins@redhat.com> 2.1.17-1
- fix #138369
